Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 252635 - [kernel specs] drop pata_qdi - 20081224 autobuild minimal install cd hangs at wd7000 on some hw (Dell, IBM, Compaq, Acer)
Summary: [kernel specs] drop pata_qdi - 20081224 autobuild minimal install cd hangs at...
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Release Media
Classification: Unclassified
Component: InstallCD (show other bugs)
Hardware: x86 All
: High normal (vote)
Assignee: Gentoo Release Team
URL:
Whiteboard:
Keywords:
: 306399 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-26 20:36 UTC by Nick Fortino
Modified: 2011-06-19 13:19 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
screenshot (pata_qdi-fail-small.jpg,144.04 KB, image/jpeg)
2009-05-11 19:42 UTC, Nick Fortino
Details
screen shot (_dsc1449.jpg,482.36 KB, image/jpeg)
2009-05-29 00:34 UTC, Michael White
Details
screen shot bottom half (_dsc1450.jpg,485.03 KB, image/jpeg)
2009-05-29 00:34 UTC, Michael White
Details
Error Message for 'modprobe pata_qdi' on Compaq Presario 7598 (7598.jpg,180.98 KB, image/jpeg)
2009-10-17 08:38 UTC, Scott Barlow
Details
'Divide error' during modprobe pata_qdi (img_6081.jpg,98.39 KB, image/jpeg)
2009-12-13 01:35 UTC, Florian Knodt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Fortino 2008-12-26 20:36:22 UTC
I tried installing from the minimal install-cd from the experimental autobuilds (mirror/gentoo/experimental/x86/autobuilds/20081224/install-x86-minimal-20081224.iso) and the boot process hung at "scanning for wd7000..."



Reproducible: Always

Steps to Reproduce:
1. Attempt to boot off a 20081224 minimal CD on certain hardware
2.
3.

Actual Results:  
Hang (waited for > 30min before killing) at scanning for wd7000...

Expected Results:  
A successful boot

The media should be clean, as I burned two disks to confirm, and checked the md5 sum. The CDs boot successfully on a computer containing a Western Digital HD.

Reproduced on both an Inspiron 600m and Inspiron 5100. Both have from the factory hard drives, the 600m a Hitachi, and the 5100 a Toshiba.

Standard 2008.0 release CD works just fine, so it must be a rather recent regression.
Comment 1 Andrew Gaffney (RETIRED) gentoo-dev 2008-12-26 21:30:16 UTC
If you boot with 'noload=wd7000', does it work? What about booting with 'noscsi'?
Comment 2 Nick Fortino 2008-12-27 05:43:43 UTC
No, it doesn't boot with either noload=wd7000 or noscsi. Luckily, further inspection reveals that wd7000 isn't the first sign of trouble. I looked more closely at the text output, and the pata_qdi scan segfaults instead of loading properly. About half the time with the various flags above, it will get past pata_qdi with a segfault, and continue, hanging at ehci-hcd. The other half will freeze at the pata_qdi step. Booting with noload=pata_qdi results in a successful boot.

Comment 3 Charles N. Burns 2009-04-28 06:42:18 UTC
Confirmed on Dell Latitude D600
Comment 4 Markus Cozowicz 2009-05-04 16:20:06 UTC
Confirmed on Dell Inspiron 8600
Comment 5 Andrew Gaffney (RETIRED) gentoo-dev 2009-05-04 16:25:15 UTC
Has anyone tried a newer autobuild installcd?
Comment 6 Nick Fortino 2009-05-04 19:19:51 UTC
20090422 (http://mirrors.kernel.org/gentoo/releases/x86/autobuilds/20090422/install-x86-minimal-20090422.iso to be specific) still fails on an Inspiron 600m with identical behavior (sometimes hanging at scanning for pata_qdi, others hanging at wd7000 with a segfault at pata_qdi). noload=pata_qdi results in a successful boot.

I'll try again once there is an iso which has the 2.6.28 kernel in it. I won't hold my breath, as the upstream changelog suggests nothing has changed in drivers/ata/pata_qdi.c itself.
Comment 7 Andrew Gaffney (RETIRED) gentoo-dev 2009-05-05 00:52:12 UTC
Kernel team,

Any insights on this?
Comment 8 Daniel Drake (RETIRED) gentoo-dev 2009-05-11 00:10:32 UTC
Not enough info here really.. I presume there is some oops message being hidden somewhere. Maybe passing the "debug" parameter to the kernel would help gain more verbose output.
Comment 9 Daniel Drake (RETIRED) gentoo-dev 2009-05-11 00:11:26 UTC
another idea..boot with noload=pata_qdi and then run:

 dmesg -n 7
 modprobe pata_qdi

Will hopefully give a nice oops message which could be captured on camera.
Comment 10 Nick Fortino 2009-05-11 00:42:11 UTC
(In reply to comment #9)
> another idea..boot with noload=pata_qdi and then run:
> 
>  dmesg -n 7
>  modprobe pata_qdi
> 
> Will hopefully give a nice oops message which could be captured on camera.
> 

Sadly, that does not yield an oops. Only a single error (transcribed by hand):
FATAL: Error inserting pata_qdi (/lib/modules/2.6.27-gentoo-r10/kernel/drivers/ata/pata_qdi.ko): no such device.

At this point, the machine becomes unresponsive to anything (Ctrl-C, Ctrl-Alt-F2 and the like).

Booting with debug as the argument might be mildly more helpful; when it gets all the way to wd7000, the pata_qdi line reads:
:: Checking for pata_qdi...   :: Scanning for pata_qdi...Floating point exception

The rest of the screen is filled with the expected (for me at least) checking, scanning, loaded sequence of outputs for each module.
Comment 11 Nick Fortino 2009-05-11 00:48:45 UTC
I meant to state explicitly /lib/modules/2.6.27-gentoo-r10/kernel/drivers/ata/pata_qdi.ko does in fact exist.

Also, upon further trials with debug as an argument, the output intermittently switches between segmentation fault and Floating point exception when attempting to load pata_qdi.
Comment 12 Daniel Drake (RETIRED) gentoo-dev 2009-05-11 18:43:19 UTC
You definitely ran "dmesg -n 7" first?
Any chance of hooking up a serial console or netconsole? I'm pretty convinced there should be *some* message...
Comment 13 Nick Fortino 2009-05-11 19:42:10 UTC
Created attachment 190972 [details]
screenshot

(In reply to comment #12)
> You definitely ran "dmesg -n 7" first?
> Any chance of hooking up a serial console or netconsole? I'm pretty convinced
> there should be *some* message...
> 
I couldn't be more certain. Proof attached.

As for a serial or net console, only with a fair bit of google work that I don't have the time for currently, but perhaps in a week.
Comment 14 regomodo 2009-05-21 13:46:07 UTC
Confirmed on an IBM Thinkpad 570
Comment 15 regomodo 2009-05-21 13:49:15 UTC
Maybe I should add that this is with "install-x86-minimal-20090520.iso"

Additionally, the "noload=pata_qdi" boot option works for me.
Comment 16 Michael White 2009-05-29 00:32:07 UTC
Tried to boot a Dell Dimension 4100 with the minimal cd, and it hung when loading pata_qdi. Used install-x86-minimal-20090526.iso

I did get output when I demsg -n 7 and modprobe pata_qdi. It said it was a divide by zero error. I've attached two jpegs with most of the screen. Let me know if the part I cut off to the right is required.
Comment 17 Michael White 2009-05-29 00:34:13 UTC
Created attachment 192775 [details]
screen shot
Comment 18 Michael White 2009-05-29 00:34:46 UTC
Created attachment 192777 [details]
screen shot bottom half
Comment 19 Milos Ivanovic 2009-06-06 09:40:49 UTC
Confirmed on Dell PowerEdge server, install-x86-minimal-20090602.iso

Confirmed workaround, noload=pata_qdi skips pata_qdi.
Comment 20 Krzysztof Karol 2009-06-27 09:47:17 UTC
Confirmed on IBM ThinkPad A21m
Comment 21 Krzysztof Karol 2009-06-27 10:29:25 UTC
`noload=pata_qdi skips pata_qdi` works
Comment 22 David Kaplan 2009-08-04 14:19:38 UTC
Comfirmed on IBM Thinkpad T20
Comment 23 terry 2009-08-14 15:45:28 UTC
Confirmed on Compaq Armada M700 on 14 Aug 2009 using minimal install CD 20090623. Using noload=pata_qdi works.
Comment 24 chua 2009-09-02 12:13:40 UTC
Confirmed on Compaq Deskpro ENS/C466/6A/64 today using minimal install CD
20090901. Using noload=pata_qdi works.
Comment 25 Brayan Arraes (YacK) 2009-09-02 12:20:56 UTC
append="noload=pata_qdi"
works fine!
Comment 26 Attila Stehr 2009-09-05 09:06:30 UTC
still there on 2009-09-01
Comment 27 Gota Morota 2009-09-12 03:31:15 UTC
Confirmed on Thinkpad R51, using install-x86-minimal-20090623.iso.
Comment 28 Federico Ferri (RETIRED) gentoo-dev 2009-09-16 18:35:10 UTC
Confirmed on Dell Latitude D600 using install-x86-minimal-20090915.iso.
Comment 29 Paul Osmialowski 2009-09-18 22:17:37 UTC
The same here on my very old desktop PC (00:04.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)) to which I've connected pretty new laptop IDE HDD (WD3200BEVE 320GB) in order to install Gentoo on it. Installation process is hanging on wd7000 message, the noload=pata_qdi helped.
I've booted install-x86-minimal-20090915.iso
Comment 30 Florian Knodt 2009-10-09 15:29:50 UTC
Similar problem with Compaq Evo N620c and 10.0 liveDVD - also fixed by skipping pata_qdi.
Comment 31 Wei Ding 2009-10-10 02:03:50 UTC
Confirmed on IBM Thinkpad T23
Comment 32 Richard H. 2009-10-15 22:48:39 UTC
confirmed on Acer Travelmate 6004 Wlmi (6000 series) with Live CD 10.0

hanging at ehci, giving up because I need USB 2.0 ;-)
Comment 33 George Kadianakis (RETIRED) gentoo-dev 2009-10-16 00:43:48 UTC
So, anyone that can hook a serial or a netconsole and see if he gets any extra messages? 

This bug has been here for quite some time...
Comment 34 Scott Barlow 2009-10-17 06:53:27 UTC
Confirmed on an (ancient) PIII Compaq Presario 7598, using install-x86-minimal-20091013.iso.
Comment 35 Scott Barlow 2009-10-17 08:36:48 UTC
Computer: PIII Compaq Presario 7598, using install-x86-minimal-20091013.iso.

When I start it with "gentoo noload=pata_qdi" and then run:
# dmesg -n 7
# modprobe pata_qdi

I get the following result:
<see attachment '7598.jpg'>

After this is shown, the computer totally freezes - no key combination does anything and I must power the computer off.  The underscore cursor does keep flashing though, but the computer responds to nothing (even after leaving it still for some time).

Also, I ran the memtest86 and it failed before finishing (on check #8 I think it was).  It was a similar result as well, the computer stopped responding to any input (ESC wouldn't reboot, etc).  I know it froze because the timer also stopped updating and the percentage didn't change after a long time.  Interestingly, the little red plus sign that flashes did keep flashing though...Does this pata_qdi get loaded for the memtest86?  Perhaps this freeze is related?  My 2 RAM sticks are identical (2x256MB) and I'm pretty certain they are good.  The CD is good (md5sum was good and it started fine on my laptop).

Right now I'm trying to install a fresh gentoo over the Xubuntu that is currently on the computer.  The computer has been doing these random freezes for a long time (on Xubuntu).  Sometimes it would run for days without a problem, other times it would run for a minute or two before freezing.  The freezes were always really random (which suggests RAM to me, but now this pata_qdi is giving me the exact same problem).  The result was the same; the mouse pointer would disappear and the computer wouldn't response to anything.  Perhaps this is also related to pata_dqi?  I can't seem to find much information on pata_qdi and I am not familiar with it myself.
Comment 36 Scott Barlow 2009-10-17 08:38:19 UTC
Created attachment 207381 [details]
Error Message for 'modprobe pata_qdi' on Compaq Presario 7598

File '7598.jpg' for my comment.
Comment 37 Scott Barlow 2009-10-17 20:12:25 UTC
This morning I tried running it with "gentoo debug noload=pata_qdi"

When I do this, I get the following output:
# dmesg -n 7
# modprobe pata_qdi
do_IRQ: 0.40 No irq handler for vector (irq -1)
# _

The last line is to indicate the cursor...which keeps blinking, but again the computer has frozen (or at least doesn't accept any input).
Comment 38 Andrew Gaffney (RETIRED) gentoo-dev 2009-10-19 03:15:35 UTC
(In reply to comment #35)
> Does this pata_qdi get loaded for the memtest86?

memtest86 is not linux-based. It's a stand-alone "kernel" and runs completely under its own power.
Comment 39 Aleksander 2009-10-25 10:13:06 UTC
Dell D600

Same problem today with both minimal and 10.2 DVD
Solved with noload pata_qdi

Comment 40 Matt Whitlock 2009-11-23 19:00:35 UTC
Confirming, 'noload=pata_qdi' allows successful boot of install-x86-minimal-20091103.iso on an ancient Dell Dimension XPS T500 (IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE), on which boot was previously hanging at wd7000.
Comment 41 Attila Stehr 2009-11-23 19:22:12 UTC
It's not just Dell laptops! I have this problem w/ an Acer Aspire laptop. I suggest altering the title (called "summary" here) since - most probably - users having other laptops won't find this report...
Comment 42 email200202 2009-11-24 00:02:17 UTC
Confirmed on an old PIII DELL OptiPlex GX110, using
install-x86-minimal-20091113.iso.  "noload=pata_qdi"
works.
Comment 43 email200202 2009-11-24 00:07:44 UTC
The last cd which works for me was "install-x86-minimal-2008.0.iso". I have been using it since then.
 
Comment 44 email200202 2009-11-24 01:14:27 UTC
Confirmed on DELL OptiPlex GX150, GX240, GX260, and GX270, using
install-x86-minimal-20091113.iso.

It works on DELL PowerEdge T100.

Comment 45 Scott Szretter 2009-12-02 13:19:04 UTC
Confirmed as problem on HP Omnibook 4150, noload=pata_qdi works.
Comment 46 Michel Caron 2009-12-05 20:17:55 UTC
(In reply to comment #2)
> No, it doesn't boot with either noload=wd7000 or noscsi. Luckily, further
> inspection reveals that wd7000 isn't the first sign of trouble. I looked more
> closely at the text output, and the pata_qdi scan segfaults instead of loading
> properly. About half the time with the various flags above, it will get past
> pata_qdi with a segfault, and continue, hanging at ehci-hcd. The other half
> will freeze at the pata_qdi step. Booting with noload=pata_qdi results in a
> successful boot.
> 
Exact Same problem with install-x86-minimal-20091103 on Compaq Evo n620c...
Comment 47 strict_confidential 2009-12-13 00:36:11 UTC
Comfirmed on Dell Inspiron 1100
With the 2010 liveDVD:
I once during about a dozen bots got a freeze at 
Scanning at pata_qdi with a noload IT got past that 
After a reboot it no longer frezed at pata_qdi but instead on ata_piix
after noload=ata_piix it freezes at scanning wd7000
After a few more reboots It's a hit and miss it can freeze on pata_qdi or ata_piix more frequently at ata_piix
Comment 48 Florian Knodt 2009-12-13 01:35:32 UTC
Created attachment 212841 [details]
'Divide error' during modprobe pata_qdi

I could now attach a serial console to my N620C and booted 10.0 with "gentoo console=ttyS0,38400 verbose debug" - neither screen nor serial console show any message related to pata_qdi or an Oops, it just stops somewhere inside the ide-secion as mentioned in the first posts. Also the system does not respond to SysRq so i cant dump anything on the system after the module tries to load.

However i could get an 'divide error' with "gentoo verbose debug noload=pata_qdi" when i tried to load pata_qdi via modprobe. The message does not show up every time but maybe it can help - picture of the screen is attached.

Also have a look at http://patchwork.ozlabs.org/patch/39342/ - after this post "QDI65x0 controllers are fully supported by pata_legacy driver". Also the header inside pata_qdi.c says its mostly proof of concept so maybe pata_qdi should just be removed.
Comment 49 Stephen Bosch 2009-12-15 12:09:51 UTC
Confirmed on an IBM Thinkpad T40.

This bug has been confirmed by an awful lot of people and was opened nearly a year ago. Is this going to get fixed, or should we include "noload=pata_qdi" in the install instructions?
Comment 50 Evan McNally 2009-12-25 22:35:38 UTC
Confirmed on Dell PowerEdge 1600SC bios rev A12.  Boots fine with "gentoo noload=pata_qdi"
Comment 51 Edwin Lua 2010-01-09 12:34:32 UTC
Confirmed on IBM ThinkPad T42 and Acer Travelmate 4003LCi. 
Boot up resolved by "gentoo noload=pata_qdi".
Using install-x86-minimal-20091113.iso.
Comment 52 Jason Ash 2010-01-11 14:31:45 UTC
Confirmed on a Toshiba Satellite L15-S104 using Gentoo minimal install 2009-11-03. noload=pata_qdi fixed it and allowed normal boot from the live cd and the installed system.
Comment 53 Igor M. 2010-02-17 04:48:15 UTC
Confirmed on Micron (MPC) Transport T2200
Comment 54 Radoslaw Zuber 2010-02-17 20:43:53 UTC
Confirmed on IBM PC 300PL
Comment 55 sam logen 2010-02-22 10:38:56 UTC
Problem is confirmed on Panasonic CF-18 laptop with iso "install-x86-minimal-20100126.iso"

Using "noload=pata_qdi" workaround corrects this.
Comment 56 Andrew Gaffney (RETIRED) gentoo-dev 2010-02-23 02:22:52 UTC
*** Bug 306399 has been marked as a duplicate of this bug. ***
Comment 57 Richard 2010-03-11 01:59:27 UTC
Confirmed on a Dell Dimension V350. Appending noload=pata_qdi works.
Comment 58 Richard 2010-03-11 02:00:42 UTC
(In reply to comment #57)
> Confirmed on a Dell Dimension V350. Appending noload=pata_qdi works.
> 

I forgot to mention that I was using the Gentoo 10.1 LiveDVD.
Comment 59 hitachi 2010-03-25 20:15:58 UTC
Confirmed on acer TravelMate 290 with latest install-x86-minimal-20100216.is. Workaround confirmed, too.
Comment 60 roland.miyamoto 2010-04-05 05:47:29 UTC
Confirmed on an IBM Thinkpad X31 with 512 MB RAM, Intel Pentium M, when booting from Gentoo minimal 20091103 livecd. Booting with gentoo noload=pata_qdi results in a working livecd environment. However, my 40GB IDE harddrive is recognized as /dev/hda rather than /dev/sda. So after partitioning I am forced to
mount /dev/hda3 /mnt/gentoo
mount /dev/hda1 /mnt/gentoo/boot
instead of sda1 and sda3 resp.
I then keep following the Handbook "A. Installing Gentoo" with default options until Chapter "10.d Rebooting the system".
Then, when booting from harddrive, boot stops with

 * Checking root filesystem ...
/dev/sda3: UNEXPECTED INCONSISTENCY: RUN fsck MANUALLY.
        (i.e., without -a or -p options)

 * Filesystem couldn't be fixed :(
Give root password for maintenance
(or type Control-D to continue):

It seems to me that the inconsistency results from my partitioning as hda while booting as sda. Don't know how to fix this. Any hints?
Comment 61 Richard 2010-04-05 11:50:37 UTC
(In reply to comment #60)
> Confirmed on an IBM Thinkpad X31 with 512 MB RAM, Intel Pentium M, when booting
> from Gentoo minimal 20091103 livecd. Booting with gentoo noload=pata_qdi
> results in a working livecd environment. However, my 40GB IDE harddrive is
> recognized as /dev/hda rather than /dev/sda. So after partitioning I am forced
> to
> mount /dev/hda3 /mnt/gentoo
> mount /dev/hda1 /mnt/gentoo/boot
> instead of sda1 and sda3 resp.
> I then keep following the Handbook "A. Installing Gentoo" with default options
> until Chapter "10.d Rebooting the system".
> Then, when booting from harddrive, boot stops with
> 
>  * Checking root filesystem ...
> /dev/sda3: UNEXPECTED INCONSISTENCY: RUN fsck MANUALLY.
>         (i.e., without -a or -p options)
> 
>  * Filesystem couldn't be fixed :(
> Give root password for maintenance
> (or type Control-D to continue):
> 
> It seems to me that the inconsistency results from my partitioning as hda while
> booting as sda. Don't know how to fix this. Any hints?
> 

You might want to post on the Gentoo forums about that. It sounds like a separate issue to me.
Comment 62 Maki 2010-04-07 16:04:29 UTC
Problem exists on a HP Vectra VL400 D using the gentoo minimal install CD from January 26th, 2010, x86 version.

The system hangs upon reaching "looking for wd7000.." and is unresponsive to keyboard input.

Using noload=pata_qdi leads to a successful boot.
Comment 63 Daniel M. Weeks 2010-04-09 18:14:52 UTC
I too have this problem on a Dell Optiplex GX110 with autobuild 2010-02-16. Using noload=pata_qdi fixed the problem for me as well.
Comment 64 email200202 2010-04-12 04:50:49 UTC
Is bug going to be fixed? Comment  #48 From Florian Knodt seems very reasonable to me.
Comment 65 Wim Deprez 2010-04-29 21:07:40 UTC
(In reply to comment #60)
> Confirmed on an IBM Thinkpad X31 with 512 MB RAM, Intel Pentium M, when booting
> from Gentoo minimal 20091103 livecd. Booting with gentoo noload=pata_qdi
> results in a working livecd environment. However, my 40GB IDE harddrive is
> recognized as /dev/hda rather than /dev/sda.

Same here: workaround of noload pata_qdi works but I now have /dev/hda instead of /dev/sda .

install-x86-minimal-20100216.iso on a DELL OptiPlex GX115
Comment 66 John Dunay 2010-05-08 12:28:15 UTC
Running into the same issue install 2010 livedvd on a thinkpad x32 on a new drive

I hang on the following:

ata_piix
wd7000
ehci_hcd...usbcore (this is weird because the format is non-standard)

I get around the first 2 using noload=whatever

the last one sticks



The hda/sda stuff may or may not be related. I've noticed this on other distros and other machines. It seems since sata inception the drivers have changed on how they report using sda instead of hda. This is has cause me grief and confusion more then once.


Hda info from thinkwiki is not confirmed by me but is the most straight forward information on this I have seen.

    *  ata_piix: the disk shows as /dev/sda  and DMA is enabled.
    * Generic IDE driver (ide-disk): the disk shows as /dev/hda and DMA is disabled. 

The simplest way to enable DMA is to force the IDE driver to ignore the system hard disk by passing the hda=noprobe and hda=none kernel argument.

I'll see if I can't get a debug on this before I try the workaround.

Comment 67 John Dunay 2010-05-08 15:17:26 UTC
I got no debug info, machine locks up hard after each module gets loaded (ata_piix,wd7000,ehci_hcd...usbcore.

noload=pata_qdi works. everything loads cleanly using that option
Comment 68 Max M. 2010-05-30 11:45:15 UTC
After loading all the modules skipping pata_qdi, I get the following:

Making tmpfs for /newroot
Looking for the cdrom
Attempting to mount media:- /dev/hdc1
Attempting to mount media:- /dev/hdc2
Attempting to mount media:- /dev/hdc3
Media not found
No bootable medium found. Waiting for new devices...
Looking for the cdrom
Attempting to mount media:- /dev/hdc1
Attempting to mount media:- /dev/hdc2
Attempting to mount media:- /dev/hdc3
Media not found
Could not find CD to boot, something else needed!
Determining root device...
Could not find the root block device in .
Comment 69 Jonathan Fraser 2010-08-08 22:09:25 UTC
I can confirm this new behaviour on a D815EEA motherboard, the noload=pata_qdi workaround is no longer sufficient. The system still hangs on boot at the previously described locations but attempts to work around by preventing pata_qdi to load prevents the cdrom from being detected.
Comment 70 Sven Eden 2010-08-11 10:44:28 UTC
(In reply to comment #69)
> I can confirm this new behaviour on a D815EEA motherboard, the noload=pata_qdi
> workaround is no longer sufficient. The system still hangs on boot at the
> previously described locations but attempts to work around by preventing
> pata_qdi to load prevents the cdrom from being detected.
> 

Same here on a DELL PowerEdge 1600SC
- noload=pata_qdi on a mini-boot-cd from 02/2010 hangs while trying to mount the cdrom
- I am currently using a cd from 03/2009, which works.
Comment 71 Samuel Chodur, Jr. 2011-03-02 00:54:19 UTC
How is this new? 
Is there an update out there somewhere? 
Comment 72 Richard 2011-03-02 01:57:02 UTC
(In reply to comment #71)
> How is this new? 
> Is there an update out there somewhere? 
> 

Can you reproduce this with System Rescue CD?

http://www.sysresccd.org/
Comment 73 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-05-24 22:27:24 UTC
I can't find this option in the latest stable kernel specs. Was it renamed?
Comment 74 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-06-19 13:19:32 UTC
No answer, so closing.